global Fs; global SpF; %global variables: sample rate, samples-per-frame

Fs=22050;  
framelength=0.01;        %frame length (in s)
SpF=round(Fs*framelength);  %samples per frame

%%% define controls %%%
slength=2;                                       %sound length (in s)
nframes=slength*Fs/SpF;                          %total no. of frames
f=50*ones(1,nframes);                            %constant frequency (Hz)
a=envgen([0,.2,3,3.5,4],[0,1,.8,.5,0],'linear'); %ADSR amp. envelope

s=sinosc(0,a,f,0);       % compute sound signal 
