global Fs; global SpF; %global variables: sample rate, samples-per-frame

Fs=22050;  
framelength=0.01;       %frame length (in s)
SpF=round(Fs*framelength); %samples per frame

%%% define controls %%%
a=envgen([0,.2,3,3.5,4],[0,1,.8,.5,0],'linear');  %ADSR amp. envelope
f=envgen([0,.2,3,4],[200,250,250,200],'linear');   %pitch envelope
f=f+max(f)*0.05*...                %pitch envelope with vibrato added
      sin(2*pi*5*(SpF/Fs)*[0:length(f)-1]).*hanning(length(f))';

%%% compute sound %%%
s=sinosc(0,a,f,0);
